> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cadanapay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List

> Fetch all businesses



## OpenAPI

````yaml /openapi/workforce-management.yaml get /v1/platform/businesses
openapi: 3.0.0
info:
  description: APIs for interacting with Cadana Payroll Platform
  version: 1.0.0
  title: Business Workforce Management
  termsOfService: https://cadanapay.com/terms-and-conditions
  contact:
    email: api@cadanapay.com
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.cadanapay.com
    description: Prod Server
  - url: https://dev-api.cadanapay.com
    description: Dev Server
security:
  - Authorization: []
tags:
  - name: Custom Auth
    description: APIs for interacting with Custom Authentication
  - name: Persons
    description: APIs for interacting with the HR module
  - name: Milestones
    description: APIs for milestone-based contractor pay
  - name: Instant Pay
    description: APIs for interacting with Instant Pay functionality
  - name: Users
    description: APIs for interacting with employee/contractor Cadana accounts
  - name: Files
    description: APIs for interacting with file uploads
  - name: Payrolls
    description: APIs for interacting with Payroll
  - name: Platform
    description: Platform APIs for interacting with businesses
  - name: Businesses
    description: APIs for interacting with Business
  - name: Contracts
    description: APIs for interacting with contracts
  - name: Sandbox
    description: APIs for relevant sandbox simulations
  - name: Invoices
    description: APIs for interacting with invoices
  - name: Reimbursements
    description: APIs for interacting with reimbursements
  - name: Entities
    description: >-
      APIs for managing legal sub-entities (subsidiaries, branches) under a
      parent business
paths:
  /v1/platform/businesses:
    get:
      tags:
        - Platform
      summary: List
      description: Fetch all businesses
      operationId: retrieveBusinesses
      parameters:
        - in: query
          name: idempotencyKey
          schema:
            type: string
          description: Idempotency key of a business
        - in: query
          name: next
          schema:
            type: string
          description: Query next set of results based on limit
        - in: query
          name: previous
          schema:
            type: string
          description: Query previous set of results based on limit
        - in: query
          name: limit
          schema:
            type: integer
            minimum: 1
            default: 20
            maximum: 100
          description: Maximum number of items to return per page
      responses:
        '200':
          $ref: '#/components/responses/GetBusinessesResponse'
        '400':
          $ref: '#/components/responses/BadRequestError'
      security:
        - Authorization: []
components:
  responses:
    GetBusinessesResponse:
      description: get businesses response
      content:
        application/json:
          schema:
            type: object
            properties:
              data:
                type: array
                items:
                  $ref: '#/components/schemas/businessMinimalDetailsEntry'
              node:
                $ref: '#/components/schemas/nodePagination'
    BadRequestError:
      description: Bad input provided by client
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/BadRequestError'
  schemas:
    businessMinimalDetailsEntry:
      properties:
        id:
          $ref: '#/components/schemas/uuid'
        name:
          type: string
          example: Wayne Enterprise
        shortName:
          type: string
          example: W.E.
        status:
          type: string
          description: >-
            Business status. `pending_verification` until KYB is approved, then
            `ACTIVE`.
          enum:
            - ACTIVE
            - pending_verification
            - CLOSED
          example: ACTIVE
        tenantKey:
          type: string
          example: abc123
        country:
          type: string
          example: US
        address:
          $ref: '#/components/schemas/address'
        requiresKYB:
          type: boolean
          description: Whether the business must complete KYB before processing payments
          example: true
        admin:
          type: object
          properties:
            name:
              type: string
              example: Jane Founder
            email:
              type: string
              example: jane@example.com
        createdTimestamp:
          type: integer
          description: Unix timestamp when the business was created
          example: 1765359752
        idempotencyKey:
          type: string
          description: Idempotency key supplied when the business was created
          example: b6ae5da9-6342-4a58-bd50-8564d68d3f7e
    nodePagination:
      type: object
      description: Node pagination
      properties:
        next:
          type: string
        previous:
          type: string
    BadRequestError:
      description: Bad input provided by client
      allOf:
        - $ref: '#/components/schemas/Error'
        - type: object
          properties:
            params:
              description: A map for meta data around the error that occurred
              type: object
      example:
        code: invalid_request_body
        message: The request body provided is not valid
        params:
          field: Value is invalid.
    uuid:
      type: string
      format: uuid
      example: 8ef9a712-cdae-4110-b1ea-9ba95abbee6e
    address:
      type: object
      description: Address
      required:
        - countryCode
      properties:
        line1:
          type: string
          example: Street 1
        line2:
          type: string
          example: Apt 1
        city:
          type: string
          example: Gotham
        postalCode:
          type: string
          example: '10001'
        state:
          type: string
          example: NY
        countryCode:
          type: string
          example: US
    Error:
      type: object
      properties:
        code:
          description: A machine parsable error code
          type: string
          enum:
            - invalid_request_body
            - resource_not_found
            - forbidden
            - internal_error
        message:
          description: A human readable message describing the error
          type: string
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer
      bearerFormat: API_SECRET_KEY

````